Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 14 Dec 2022 09:38:09 +0000

Hi Zeina Abdeen,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Subject: Request to investigate the delivery of my shipment Order no: 9402753385.
Greeting,
On 26th Nov 2022, I ordered a few items from SPLASH, through their official online application, and immediately on the next day I received a notification about the shipment that the shipment was to be delivered, on the next day I again received a notification about my shipment which mention you’re your shipment is successfully being delivered whereas, actually I did not receive any shipment on that day 27th Nov 2022. On the same day, I was home, and usually, if any shipment arrives they do call me, send an email, or at least ring the bell or knock on the door but during this period of delivery, there was no notification that I received from the delivery person. I almost waited for half an hour at least later I opened my door but to my surprise, I did not receive any shipment there was an official notification of the shipment that was delivered to me, so I checked again on my floor that if my shipment was delivered to some other flat or no but there was nothing.

Later on I visited the security of the building so that I can see the recording of my floor that was recorded in the camera during the delivery of my shipment, but at first the security guards denied to my request as it is not allowed and the security guard further informed me that to official check the recording from the camera I had to first file an official complaint with the Dubai Police and then based on that I could see the recording, but when I explained my situation to him that what exactly happened and after several requests he finally agreed to show me the recording and it was clearly seen that the delivery guy came and kept the shipment on my door, but as soon as he left maybe in between 4 to 6 minutes there was a stranger that arrived and he took my shipment away with him, to be more clear there were several other shipments kept on the floor but to my surprise the unknown visitor chooses to pick only my shipment and walk away with it, though there are several shipments with various luxury brands but the unknown visitor had a plan already to pick my shipment only which he smoothly executed it. Maybe the delivery guy and the unknown visitor who picked up my shipment had some connection between them because to get in our building is not at all easy with 2 different towers and several blocks such as A, B, C. it’s very confusing because at times I being the resident of the same building also gets confused but the unknown visitor was quite aware of the proper location of my flat and also at what time the shipment was delivered because as soon as the delivery guy left the unknown visitor entered the premises and smoothly executed the plan that they both had planned.

Furthermore, I called the help center of SPLASH many times and informed them about my situation and what exactly happened to me but there was no response from their end all they told me that they will have an official investigation on the above-mentioned matter but still, there is no response, and approximately it’s about to be 20 days for the said matter and still, there is no response from their end & as a loyal customer I have no other option but to file an official complaint with the XXXXDubai Police/Consumer ProtectionXXXX and get the investigation done as soon as possible as it might be harmful to me or any other customer as their practices might go on and on until we legally investigate this matter and get the closure done as soon as possible because I as a resident should feel safe and in my current situation with all these factors as a customer I don’t feel safe. I humbly request you to kindly investigate my matter. Also, as soon as when the closure of the above matter is successfully done I would like to have my refund back. Again to be clearer I do not want my shipment back but a proper investigation on my matter and the refund of my shipment back as soon as possible.

Best Regards,
Yomna https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5460777